Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.announcements.poller.controls
Interface AnnouncementsPollerCmxControl

All Superinterfaces
  CmxControl

    public interface AnnouncementsPollerCmxControl

extends CmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `ANNOUNCEMENT`
`static String` | `FIND_ALL`
`static String` | `FIND_EFFECTIVE_TO_NOTIFY` Expression to find all announcements to send notifications for.
`static String` | `FIND_EXPIRED_TO_CLEAN`

Method Summary
`void` | `delete(ID id)` Remove the node
`List<Announcement>` | `getEffectiveAnnouncementsToNotify()` Retrieve all announcements to send notifications to.
`List<Announcement>` | `getExpiredAnnouncements()` Retrieve all announcements to remove because they are expired
`void` | `update(Node node)` Update a node

Field Detail

### ANNOUNCEMENT

    static final String ANNOUNCEMENT

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

### FIND_EFFECTIVE_TO_NOTIFY

    static final String FIND_EFFECTIVE_TO_NOTIFY

  Expression to find all announcements to send notifications for.

  See Also
    Constants Summary

### FIND_EXPIRED_TO_CLEAN

    static final String FIND_EXPIRED_TO_CLEAN

See Also
  Constants Summary

Method Detail

### getEffectiveAnnouncementsToNotify

    List<Announcement> getEffectiveAnnouncementsToNotify()
                                                         throws org.apache.beehive.controls.api.ControlException

  Retrieve all announcements to send notifications to.

  Throws
    `org.apache.beehive.controls.api.ControlException`

### getExpiredAnnouncements

    List<Announcement> getExpiredAnnouncements()
                                               throws org.apache.beehive.controls.api.ControlException

  Retrieve all announcements to remove because they are expired

  Throws
    `org.apache.beehive.controls.api.ControlException`

### update

    void update(Node node)
                throws org.apache.beehive.controls.api.ControlException

  Update a node

  Throws
    `org.apache.beehive.controls.api.ControlException`

### delete

    void delete(ID id)
                throws org.apache.beehive.controls.api.ControlException

  Remove the node

  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved